Bug 827761 - Review Request: vdr-skinenigmang - A skin for VDR based on the Enigma text2skin add on
Review Request: vdr-skinenigmang - A skin for VDR based on the Enigma text2sk...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
17
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-02 17:18 EDT by MartinKG
Modified: 2013-01-11 18:53 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 12:58:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ville.skytta: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description MartinKG 2012-06-02 17:18:24 EDT
skinenigmang a skin for VDR based on the Enigma text2skin add on.

SRPM URL:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/VDR/vdr-skinenigmang/vdr-skinenigmang-0.1.2-2.fc17.src.rpm?a=OF54NgvueU0

Spec URL:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/VDR/vdr-skinenigmang/vdr-skinenigmang.spec?a=7AJpsSfs7SU

rpmlint output:
rpmlint vdr-skinenigmang-0.1.2-2.fc17.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint vdr-skinenigmang-0.1.2-2.fc17.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint vdr-skinenigmang-debuginfo-0.1.2-2.fc17.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 MartinKG 2012-06-12 14:28:55 EDT
SRPM URL:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/VDR/vdr-skinenigmang/vdr-skinenigmang-0.1.2-3.fc17.src.rpm?a=ImpwhNg4EIg

Spec URL:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/VDR/vdr-skinenigmang/vdr-skinenigmang.spec?a=8ctTJcw1-qo

changelog:
* Tue Jun 12 2012 Martin Gansser <linux4martin@gmx.de> - 0.1.2-3
- added config patch
- added flag and icons in file section
- spec file cleanup
Comment 2 Ville Skyttä 2012-06-13 17:22:42 EDT
> install -pm 644 %{SOURCE1} skinenigmang/flags

This copies the skinenigmang-logos-xpm-hi-20070702.tgz tarball to skinenigmang/flags, and it ends up in the binary package. Why is that?

Other than that, looks pretty good to me on a quick look.
Comment 3 Mario Blättermann 2012-06-14 15:36:00 EDT
(In reply to comment #2)
> > install -pm 644 %{SOURCE1} skinenigmang/flags
> 
> This copies the skinenigmang-logos-xpm-hi-20070702.tgz tarball to
> skinenigmang/flags, and it ends up in the binary package. Why is that?

It's unusual to call install in the %prep section. The Source1 should be unpacked only. This way, the binary package contains the xpm files only, not the tarball itself.
Comment 4 MartinKG 2012-06-14 16:00:12 EDT
thanks Mario, fixed in new rpm package.

Spec URL:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/VDR/vdr-skinenigmang/0.1.2-4/vdr-skinenigmang.spec?a=eV_POBvkYYw

SRPM URL:
https://www.disk.dsl.o2online.de/FclyPlh/RPMS/VDR/vdr-skinenigmang/0.1.2-4/vdr-skinenigmang-0.1.2-4.fc17.src.rpm?a=c3c7_k3pkZI

%changelog
* Thu Jun 14 2012 Martin Gansser <linux4martin@gmx.de> - 0.1.2-4
- more spec file cleanups
- fixed copying of source file to build dir
Comment 5 Ville Skyttä 2012-06-17 08:38:16 EDT
URL is wrong, should probably be http://andreas.vdr-developer.org/enigmang/

License should probably be GPL+, I couldn't find anything in the tarball that'd say GPLv2+ (I've sent a patch for this upstream, so future versions may be GPLv2+).
Comment 7 Ville Skyttä 2012-06-17 16:56:28 EDT
The only thing I'm slightly wondering about is whether the theme files should have %{vdr_user}:root ownership instead of root:root - that's how other skins package them.

Anyway, I'll leave that up to you to decide before the first build, approved.
Comment 8 MartinKG 2012-06-18 13:28:48 EDT
New Package SCM Request
=======================
Package Name: vdr-skinenigmang
Short Description: a skin for VDR based on the Enigma text2skin add on.
Owners: martinkg
Branches: f16 f17 f18
InitialCC:
Comment 9 Gwyn Ciesla 2012-06-19 09:01:56 EDT
Git done (by process-git-requests).

Don't request f18 yet, it's still devel.
Comment 10 MartinKG 2012-06-19 12:58:41 EDT
the package built successfully on koji
Comment 11 Fedora Update System 2012-06-19 13:04:31 EDT
vdr-skinenigmang-0.1.2-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/vdr-skinenigmang-0.1.2-5.fc17
Comment 12 Fedora Update System 2012-06-19 13:05:48 EDT
vdr-skinenigmang-0.1.2-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/vdr-skinenigmang-0.1.2-5.fc16
Comment 13 Fedora Update System 2012-06-30 04:23:54 EDT
vdr-skinenigmang-0.1.2-5.fc17 has been pushed to the Fedora 17 stable repository.
Comment 14 Fedora Update System 2012-06-30 04:32:49 EDT
vdr-skinenigmang-0.1.2-5.fc16 has been pushed to the Fedora 16 stable repository.
Comment 15 Fedora Update System 2012-12-22 12:46:27 EST
vdr-skinenigmang-0.1.2-11.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/vdr-skinenigmang-0.1.2-11.fc18
Comment 16 Fedora Update System 2013-01-11 18:53:54 EST
vdr-skinenigmang-0.1.2-11.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.